/* MyView */

#import <Cocoa/Cocoa.h>
#import <Message/NSMailDelivery.h>

@class controller;
@class mail;

@interface MyView : NSView
{
	controller *myController; // because I need to find out what to add
	NSCursor *hand;
	NSImage *startingBackground; 
	NSImage *gold, *tree, *water, *fire;
	int board[20][10], testboard[20][10], boardChecker[20][10];
	int piecesTrackingRects[4],boardTrackingRects[20][10];
	int clicksLeft, clicksMade;
	int currentRectPlacing;
	int currentRectOver;
	int state;
	int currentlyPlacing;
	int x,y;
	int currentlyHighlighted;
	NSMutableDictionary *gameFont;
}

- (id)initWithFrame:(NSRect)frameRect :(controller *)myMaster;

- (void)mouseEntered:(NSEvent *)theEvent;
- (void)mouseExited:(NSEvent *)theEvent;
- (void)mouseUp:(NSEvent *)theEvent;
- (void)mouseDown:(NSEvent *)theEvent;
- (void)redrawBoard;
- (void)runTest;
-(void)sendItIn :(NSString *)name :(NSString *)clicks;

@end
