#import "controller.h"
#import "MyView.h"

@implementation controller

- (IBAction)test:(id)sender
{
	[gameBoard runTest];
}

- (IBAction)submit:(id)sender
{
	// do some error checking here
	
	if ( [[clicksField stringValue] isEqual :@""] )
		NSBeginAlertSheet(@"Oops", nil, nil, nil, [gameBoard window], nil, nil, nil, nil,
						  @"It seems you have not told me how many clicks you need to solve the puzzle. I need that, please.");
	else
		[gameBoard sendItIn :[nameField stringValue] :[clicksField stringValue]];
}

- (void)awakeFromNib
{
	gameBoard = [[MyView alloc] initWithFrame: NSMakeRect(0, 22, 840, 600) :self];
	[[mainWindow contentView] addSubview : gameBoard]; // the main view, of course, is what shows the NSTableView.
													   // if I tried to just add a "view" I would stomp on it. So, it's a "subview" of the window.
    [gameBoard setNeedsDisplay :YES];
	
}

- (void)dealloc
{
	[super dealloc];
}


@end
