@class MyView;

@interface MyWindow : NSWindow
{
    unsigned char test;
    MyView *drawingArea;
    NSTimer *theTimer;
    NSPoint pos;

}
- initWithContentRect:(NSRect)contentRect styleMask:(unsigned int)aStyle backing : (NSBackingStoreType)bufferingType defer:(BOOL)flag;
- (BOOL)hasShadow;
- (BOOL)acceptsFirstResponder;
- (BOOL)canBecomeKeyWindow;
- (void)keyDown:(NSEvent *)event;
- (void)keyUp:(NSEvent *)event;
- (void)timerFired:(id)timer;
- (void)setTimer:(double)interval;
- (void)stopTimer;

-(void)dealloc;
@end
